CONFIG.PY(1)

NAME
cocotb-config - Query cocotb configuration

DESCRIPTION
cocotb-config [-h] [--share | --makefiles | --python-bin | --help-vars |

    --libpython | --lib-dir | --lib-name INTERFACE SIMULATOR | --lib-name-path INTERFACE SIMULATOR | --version]

  options:

-h, --help
    show this help message and exit

--share
    Print the path to cocotb's share directory

--makefiles
    Print the path to cocotb's makefile directory

--python-bin
    Print the path to the Python executable associated with the environment that cocotb is installed in.

--help-vars
    Print help about supported Makefile variables

--libpython
    Print the absolute path to the libpython associated with the current Python installation

--lib-dir
    Print the absolute path to the interface libraries location

--lib-name INTERFACE SIMULATOR
    Print the name of interface library for given interface (VPI/VHPI/FLI) and simulator

--lib-name-path INTERFACE SIMULATOR
    Print the absolute path of interface library for given interface (VPI/VHPI/FLI) and simulator

--version
    Print the version of cocotb